zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andor Molnar <an...@cloudera.com.INVALID>
Subject Re: BouncyCastle version different from Maven and Ant builds
Date Thu, 07 Feb 2019 10:07:54 GMT
Enrico, please try to get BouncyCastle versions is sync by upgrading the
Ant version. It's used only for testing, shouldn't do any harm.
I agree that dual build system cannot work on the long run. Once you guys
finished the Maven migration, we'll start decomissioning the Ant build.

Andor



On Thu, Feb 7, 2019 at 9:34 AM Norbert Kalmar <nkalmar@cloudera.com.invalid>
wrote:

> Wow, nice catch, thanks!
>
> As we just discussed having potentially dual builds for the foreseeable
> future, I agree, this is a huge source of errors. We have 3 active branch,
> so triple the chances of getting desync in versions. We could create a
> properties file for versions that both ant and maven reads. (Or if dropping
> ant gets voted, this problem is solved :) But I don't think that will
> happen on 3.4 and 3.5...)
>
> Regards,
> Norbert
>
> On Wed, Feb 6, 2019 at 10:35 PM Enrico Olivelli <eolivelli@gmail.com>
> wrote:
>
> > Hi,
> > while working on OWASP stuff I have found that Maven dependency of
> > BouncyCastle is newer than the one in the Ant configuration.
> > The same is on branch-3.5.
> > On branch-3.4 we have bouncycastle only on Maven (I am sending a patch
> > for this one)
> >
> > see:
> >
> >
> https://github.com/apache/zookeeper/blob/af741cb319d4760cfab1cd3b560635adacd8deca/pom.xml#L279
> >
> >
> https://github.com/apache/zookeeper/blob/af741cb319d4760cfab1cd3b560635adacd8deca/build.xml#L47
> >
> > I wil be happy to send a patch, but we should decide for a roadmap
> >
> > This makes me think we should step out of this dual-configuration as
> > soon as possible.
> >
> > Enrico
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message